@echo off
set line1=-------------------------------------------------------------------------------
set line2=----- ROM Cleaning Script by TimeTurn - HTC One X edition -- Jun 30, 2012 -----
cls
echo %line1%
echo %line2%
echo %line1%
echo.
if exist %1 goto romfound
echo ROM not found. Please drag a ROM zip file onto this Script to clean it.
goto getoutofhere

:romfound
set winrar="C:\Programme\WinRAR\winrar.exe"
if exist %winrar% goto menu
set winrar="C:\Program files\WinRAR\winrar.exe"
if exist %winrar% goto menu
set winrar="C:\Program files (x86)\WinRAR\winrar.exe"
if exist %winrar% goto menu
set winrar="C:\Programme\WinRAR\x32\winrar.exe"
if exist %winrar% goto menu
set winrar=winrar.exe
if exist %winrar% goto menu
echo ERROR: Can't find WinRAR!
goto getoutofhere

:menu
cls
echo %line1%
echo %line2%
echo %line1%
echo.
echo ROM....: %1
echo.
echo WARNING: The ROM must be in the root folder of this script, otherwhise it won't
echo          find the exclude file!
echo.
rmdir /s /q "%temp%\rcs" >nul 2>nul
mkdir "%temp%\rcs" >nul 2>nul

echo Extracting zip while excluding files in remove.txt...
%winrar% x %1 "%temp%\rcs" -x@"%userprofile%\Desktop\TimeTurn_R... pt\remove.txt"

echo Copiing new files to ROM...
mkdir "%temp%\rcs\system" >nul 2>nul
xcopy TimeTurn_ROM_cleaner_script\system\* "%temp%\rcs\system\" /e /c /i /h /r /y >nul 2>nul
mkdir "%temp%\rcs\data" >nul 2>nul
xcopy TimeTurn_ROM_cleaner_script\data\* "%temp%\rcs\data\" /e /c /i /h /r /y >nul 2>nul

echo Creating new zip...
del ROM_cleaner_script_cleaned_ROM.zip >nul 2>Nul
%winrar% a -r -ep1 ROM_cleaner_script_cleaned_ROM.zip "%temp%\rcs\*"

echo Removing temporary files...
rmdir /s /q "%temp%\rcs" >nul 2>nul

echo.
echo Done. The generated ROM ZIP is not signed!

:getoutofhere
echo Exiting in 5 seconds...
ping 127.0.0.1 -n 5 >nul 2>nul
